#!/usr/bin/python
# -*- encoding: utf-8 -*-


# reproduktorek je zapojeny pres NPN tranzistor (zapojeni se spolecnym emitorem)


import RPi.GPIO as GPIO  # Ovladani GPIO vystupu v RasPi
import time

GPIO.setwarnings(False)

GPIO.setmode(GPIO.BOARD)   # cislovani podle GPIO pinu (1 az 26)
pin_piezo = 22             # GPIO pin, na ktery je pripojeny repro (bez vnitrniho prerusovace)
GPIO.setup(pin_piezo,  GPIO.OUT) 
strida = 50                            


for f in range (100,1600,300):            # postupne zvysovani frekvence od 100Hz do 1,6kHz po kroku 300Hz 
  signal1 = GPIO.PWM(pin_piezo , f)       # nastaveni pinu do PWM vystupniho rezimu 
  signal1.start(strida)                   # spusteni signalu
  time.sleep(2)                           # kazdy ton piska 2 sekundy

signal1.stop()                            # ukonceni PWM funkce
time.sleep(0.5)                           # po stopnuti PWM musi byt kratka pauza na prepnuti do normalniho rezimu

# reproduktorek se vypina logickou "0"
GPIO.output(pin_piezo, False)









